package org.minimalj.example.jugs;

import java.util.Arrays;
import java.util.List;

import org.minimalj.application.Application;
import org.minimalj.frontend.action.Action;
import org.minimalj.frontend.impl.nanoserver.NanoWebServer;

public class JugsApplication extends Application {

	@Override
	public Class<?>[] getEntityClasses() {
		return new Class<?>[] { JugsEvent.class };
	}
	
	@Override
	public List<Action> getNavigation() {
		// with authorization:
		// if (Subject.currentHasRole("secret")) {
			return Arrays.asList(new NewJugsEventEditor());
		// } else {
		//   return Collections.emptyList();
		// }	
	}
	
	public static void main(String[] args) {
		// start it as Swing application
		// Swing.start(new JugsApplication());
		
		// start it as web application
		NanoWebServer.start(new JugsApplication());
		
		// to set material design set jvm property: -DMjTheme=material
		
		// start it as Vaadin application (needs org.minimal.minimalj_vaadin_springboot project in pom.xml)
		// MjVaadinSpringbootApplication.start(new JugsApplication());
		
		// start it as RestServer: (needs org.minimalj.rest project in pom.xml)
		// RestServer.start(new JugsApplication());
	}
	
}
